#include <stdio.h>
#include <math.h>

int main() {
  unsigned n;
  int r=0, m=0;
  int i, j=0, x, y, k=0;
  scanf("%u", &n);
  
  while(n!=0) {
    k++;
    n/=10;
  }
  
  for(i=1;i<k;i++)
  {
    r=pow(10, i);
    m=pow(10, i+1);
    x=r/10;
    if((n%r)/x==(n%m)/r){
      j=n%r;
      y=j%x;
      n/=r;
      n=n*r+y*x;
      i--;
    }
    
  }
  printf("%u\n", n);
  return 0;
}
      
    
    
